# $Revision: 1.25 $, $Date: 2009/06/15 08:59:11 $
#
# Conditional build:
%bcond_without	tests	#do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Array
%define		pnam	Unique
Summary:	Array::Unique - tieable array that allows only unique values
Summary(pl.UTF-8):	Array::Unique - macierz pozwalająca jedynie na unikalne wartości
Name:		perl-Array-Unique
Version:	0.08
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Array/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e3fc4333a97c360348b8c7d0b6b94e83
URL:		http://search.cpan.org/dist/Array-Unique/
%{?with_tests:BuildRequires:	perl-Tie-IxHash}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Array::Compare is a Perl module lets you create an array which will
allow only one occurence of any value. Attempt to put in an already
existing value has no effect.

%description -l pl.UTF-8
Array::Compare jest rozszerzeniem Perla umożliwiającym tworzenie
tablic akceptujących jedynie pojedyncze wystąpienia poszczególnych
wartości. Proba dopisania do tablicy istniejącej już w niej wartości
będzie ignorowana.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Array/Unique.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Array-Unique.spec,v $
Revision 1.25  2009/06/15 08:59:11  amateja
- updated to 0.08

Revision 1.24  2007/05/27 14:00:02  qboosh
- generic URL

Revision 1.23  2007/05/27 12:22:53  agaran
- up to 0.07, rel 1, builds here

Revision 1.22  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 20:27:38  paladine
- formatting

Revision 1.19  2004/11/01 18:44:07  adamg
- updated to 0.06

Revision 1.18  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.17  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.15  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.14  2003/10/29 18:25:59  migo
- up to 0.04
- new bcond style
- fix in %files

Revision 1.13  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 18:54:32  radek
- fixed-the-damn-bcond

Revision 1.8  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:35:49  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:26:02  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/12/03 21:34:49  ankry
- cleaning

Revision 1.4  2002/10/02 14:32:20  qboosh
- use _without_tests, added bcond description

Revision 1.3  2002/08/07 04:46:18  kloczek
- updated to 0.03,
- added handling test target.

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
